import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

const store = new Vuex.Store({
  state: {
    info:'',
    initScene:'',
    vrlist:[],
    allVrlist:[],
    activeItem:'',
    isShow: false
  },
  getters: {
    info:state=>state.info,
    initScene:state=>state.initScene,
    activeItem:state=>state.activeItem,
    vrlist:state=>state.vrlist,
    isShow:state=>state.isShow,
    allVrlist:state=>state.allVrlist
  },
  mutations: {
    SetVrList(state, list) {
      state.vrlist = list
    },
    UpdateIsShowState(state, isShow) {
      state.isShow = isShow
    },
    SetAllVrlist(state, list) {
      state.allVrlist = list
    },
    SetInitScene(state, scene) {
      state.initScene = scene
    },
    SetActiveItem(state, scene) {
      state.activeItem = scene
    },
    SetInfo(state, data) {
      state.info = data
    }
    
  },
  actions: {

  },
  modules: {

  }
})

export default store